---
title: TypedArray.prototype.every()
slug: Web/JavaScript/Reference/Global_Objects/TypedArray/every
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - TypedArray
  - TypedArrays
---
<div>{{JSRef}}</div>

<p>The <strong><code>every()</code></strong> method tests whether all elements in the typed array pass the test implemented by the provided function. This method has the same algorithm as {{jsxref("Array.prototype.every()")}}<em>.</em> <em>TypedArray</em> is one of the <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/TypedArray#TypedArray_objects">typed array types</a> here.</p>

<div>{{EmbedInteractiveExample("pages/js/typedarray-every.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>typedarray</var>.every(<var>callback</var>[, <var>thisArg</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>callback</var></code></dt>
 <dd>A function to test for each element, taking three arguments:
 <dl>
  <dt><code><var>element</var></code></dt>
  <dd>The current element being processed in the typed array.</dd>
  <dt><code><var>index</var></code> {{Optional_inline}}</dt>
  <dd>The index of the current element being processed in the typed array.</dd>
  <dt><code><var>array</var></code> {{Optional_inline}}</dt>
  <dd>The typed array <code>every</code> was called upon.</dd>
 </dl>
 </dd>
 <dt><code><var>thisArg</var></code> {{Optional_inline}}</dt>
 <dd>A value to use as <code>this</code> when executing <code><var>callback</var></code>.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>true</code> if the callback function returns a {{Glossary("truthy")}} value for every array element; otherwise, <code>false</code>.</p>

<h2 id="Description">Description</h2>

<p>The <code>every</code> method executes the provided <code><var>callback</var></code> function once for each element present in the typed array until it finds the one where <code><var>callback</var></code> returns a falsy{{Glossary("falsy")}} value. If such an element is found, the <code>every</code> method immediately returns <code>false</code>. Otherwise, if <code><var>callback</var></code> returns a {{Glossary("truthy")}} value for all elements, <code>every</code> returns <code>true</code>.</p>

<p><code><var>callback</var></code> is invoked with three arguments: the value of the element, the index of the element, and the typed array object being traversed.</p>

<p>If a <code><var>thisArg</var></code> parameter is provided to <code>every</code>, it will be used as callback's <code>this</code> value. Otherwise, the value <code>undefined</code> will be used as its <code>this</code> value. The <code>this</code> value ultimately observable by <code><var>callback</var></code> is determined according to <a href="/en-US/docs/Web/JavaScript/Reference/Operators/this">the usual rules for determining the <code>this</code> seen by a function</a>.</p>

<p><code>every</code> does not mutate the typed array on which it is called.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Testing_size_of_all_typed_array_elements">Testing size of all typed array elements</h3>

<p>The following example tests whether all elements in the typed array are bigger than 10.</p>

<pre class="brush: js notranslate">function isBigEnough(element, index, array) {
  return element &gt;= 10;
}
new Uint8Array([12, 5, 8, 130, 44]).every(isBigEnough);   // false
new Uint8Array([12, 54, 18, 130, 44]).every(isBigEnough); // true
</pre>

<h3 id="Testing_typed_array_elements_using_arrow_functions">Testing typed array elements using arrow functions</h3>

<p><a href="/en-US/docs/Web/JavaScript/Reference/Functions/Arrow_functions">Arrow functions</a> provide a shorter syntax for the same test.</p>

<pre class="brush: js notranslate">new Uint8Array([12, 5, 8, 130, 44]).every(elem =&gt; elem &gt;= 10); // false
new Uint8Array([12, 54, 18, 130, 44]).every(elem =&gt; elem &gt;= 10); // true</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-%typedarray%.prototype.every', 'TypedArray.prototype.every')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.TypedArray.every")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("TypedArray.prototype.some()")}}</li>
 <li>{{jsxref("Array.prototype.every()")}}</li>
</ul>
